Skip to main content
`Ctrl`+`K`

# KSPMonitorCancel

Clears all monitors for a `KSP` object.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPMonitorCancel(KSP ksp)

Logically Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Options Database Key

- -ksp_monitor_cancel - Cancels all monitors that have been hardwired into a code by calls to `KSPMonitorSet()`, but does not cancel those set via the options database.

## See Also

KSP: Linear System Solvers, `KSPMonitorResidual()`, `KSPMonitorSet()`, `KSP`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/snes/tutorials/ex30.c
src/ksp/ksp/tutorials/ex87.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages